Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] SuperSU unable to run and uninstall, SU binary needs to be updated

OP Nasvyazi

23rd June 2014, 02:39 PM   |  #1  
Nasvyazi's Avatar
OP Junior Member
Thanks Meter: 1
 
5 posts
Join Date:Joined: Sep 2009
I have a Samsung S4 with Android 4.3 and CWM. It was rooted with CF-Auto-root.
I decided to update SuperSU to the latest version 2.0.

1. First I activated the cleanup function from the SuperSU menu to be able to reinstall it from Google play.
I downloaded and installed it. It displayed "The SU library needs to be updated" then it displayed "How would you like to install the SU binary?". I choose TWRP/CWM button because I have CWM.
During automatic reboot into CWM recovery it installed something and then rebooted normally.
It didn't work. SuperSU displayed "The SU library needs to be updated" again.

2. I chose "Normal" button in SuperSU when it asked for binary install.
It failed to install again.

3. I downloaded SuperSU zip package (UPDATE-SuperSU-v2.00.zip), booted to CWM recovery and installed the zip file.
After I rebooted and tried to run SuperSU - it didn't work. It displays "The SU library needs to be updated" again!

Now I can't even uninstall SuperSU because it's not in the list of downloaded apps.
I can't even access its settings to do a cleanup and remove it.

How to make it work correctly or uninstall it completely?
Any suggestions?
Last edited by Nasvyazi; 23rd June 2014 at 03:33 PM.
23rd June 2014, 08:17 PM   |  #2  
Senior Member
Thanks Meter: 11
 
124 posts
Join Date:Joined: Feb 2012
Quote:
Originally Posted by Nasvyazi

I have a Samsung S4 with Android 4.3 and CWM. It was rooted with CF-Auto-root.
I decided to update SuperSU to the latest version 2.0.

1. First I activated the cleanup function from the SuperSU menu to be able to reinstall it from Google play.
I downloaded and installed it. It displayed "The SU library needs to be updated" then it displayed "How would you like to install the SU binary?". I choose TWRP/CWM button because I have CWM.
During automatic reboot into CWM recovery it installed something and then rebooted normally.
It didn't work. SuperSU displayed "The SU library needs to be updated" again.

2. I chose "Normal" button in SuperSU when it asked for binary install.
It failed to install again.

3. I downloaded SuperSU zip package (UPDATE-SuperSU-v2.00.zip), booted to CWM recovery and installed the zip file.
After I rebooted and tried to run SuperSU - it didn't work. It displays "The SU library needs to be updated" again!

Now I can't even uninstall SuperSU because it's not in the list of downloaded apps.
I can't even access its settings to do a cleanup and remove it.

How to make it work correctly or uninstall it completely?
Any suggestions?

I have this problem too. I have tried all three methods on cwm, trwp and philz. Anyone got a fix?

I am using broodplank's aosp 4.4.4 build.
Last edited by bill1clinton; 23rd June 2014 at 08:20 PM.
24th June 2014, 03:54 AM   |  #3  
lacoursiere18's Avatar
Recognized Themer
Flag LbTs
Thanks Meter: 4,978
 
3,502 posts
Join Date:Joined: Jan 2013
Donate to Me
More
Quote:
Originally Posted by Nasvyazi

I have a Samsung S4 with Android 4.3 and CWM. It was rooted with CF-Auto-root.
I decided to update SuperSU to the latest version 2.0.

1. First I activated the cleanup function from the SuperSU menu to be able to reinstall it from Google play.
I downloaded and installed it. It displayed "The SU library needs to be updated" then it displayed "How would you like to install the SU binary?". I choose TWRP/CWM button because I have CWM.
During automatic reboot into CWM recovery it installed something and then rebooted normally.
It didn't work. SuperSU displayed "The SU library needs to be updated" again.

2. I chose "Normal" button in SuperSU when it asked for binary install.
It failed to install again.

3. I downloaded SuperSU zip package (UPDATE-SuperSU-v2.00.zip), booted to CWM recovery and installed the zip file.
After I rebooted and tried to run SuperSU - it didn't work. It displays "The SU library needs to be updated" again!

Now I can't even uninstall SuperSU because it's not in the list of downloaded apps.
I can't even access its settings to do a cleanup and remove it.

How to make it work correctly or uninstall it completely?
Any suggestions?

It's not in the the list of downloaded apps bc when you flashed " (UPDATE-SuperSU-v2.00.zip)" it made it a system/app..so therfore the delete it.. download a root explorer and delete it from system/app..
I wouldn't install 2.0 again after you delete it.. maybe try 1.94 or something a little lower and not so new

Sent from my SCH-I605 using XDA Free mobile app
24th June 2014, 05:17 PM   |  #4  
Nasvyazi's Avatar
OP Junior Member
Thanks Meter: 1
 
5 posts
Join Date:Joined: Sep 2009
Quote:
Originally Posted by lacoursiere18

It's not in the the list of downloaded apps bc when you flashed " (UPDATE-SuperSU-v2.00.zip)" it made it a system/app..so therfore the delete it.. download a root explorer and delete it from system/app..
I wouldn't install 2.0 again after you delete it.. maybe try 1.94 or something a little lower and not so new

Sent from my SCH-I605 using XDA Free mobile app

Thanks for your reply.

Should I delete SuperSU's data as well?

Is it in the folder "data/data/eu.chainfire.supersu" ?
Last edited by Nasvyazi; 24th June 2014 at 05:37 PM.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes